ZPOOL-CHECKPOINT(8)

NAME
zpool-checkpoint - Checkpoints the current state of a ZFS storage pool

SYNOPSIS
zpool checkpoint [-d, --discard [-w, --wait]] pool

DESCRIPTION

    zpool checkpoint [-d, --discard [-w, --wait]] pool Checkpoints the current state of pool , which can be later restored by zpool import --rewind-to-checkpoint. The existence of a checkpoint in a pool prohibits the following zpool commands: remove, attach, detach, split, and reguid. In addition, it may break reservation boundaries if the pool lacks free space. The zpool status command indicates the existence of a checkpoint or the progress of discarding a checkpoint from a pool. The zpool list command reports how much space the checkpoint takes from the pool.

    -d, --discard
        Discards an existing checkpoint from pool.

    -w, --wait
        Waits until the checkpoint has finished being discarded before returning.

SEE ALSO
zpool-import(8), zpool-status(8), zfs-snapshot(8)